//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Web;
using CommunityServer.Components;

namespace CommunityServer.ControlPanel.UI
{
	/// <summary>
	/// Summary description for BaseReaderPage.
	/// </summary>
	public class BaseReaderPage : PanelPage
	{
		public BaseReaderPage()
		{
		}

		protected override void Authorize()
		{
			base.Authorize();

			User currentUser = CSContext.Current.User;
			if(!currentUser.IsReaderAdministrator)
			{
				if(currentUser.IsAnonymous)
					Response.Redirect(Globals.GetSiteUrls().Login);
				else
					throw new CSException(CSExceptionType.AccessDenied);
			}

			SetLocation();
		}
	}
}
